%define upstream_name Dist-Zilla-Plugin-Prereqs-SyncVersions
%define upstream_version 0.003002

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Homogenize prerequisites so dependency versions are consistent
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Moose)
BuildRequires:	perl(Package::DeprecationManager)

BuildArch:	noarch

%description
This module exists to pose mostly as a workaround for potential bugs in
downstream tool-chains.

Namely, "CPAN.pm" is confused when it sees:

    runtime.requires : Foo >= 5.0
    test.requires    : Foo >= 6.0

It doesn't know what to do.

This is an easy enough problem to solve if you're using "[Prereqs]"
directly, and "[AutoPrereqs]" already does the right thing, but it gets
messier when you're working with plugins that inject their own
prerequisites
<https://github.com/dagolden/Path-Tiny/commit/c620171db96597456a182ea608
8a24d8de5debf6>

So this plugin will homogenize dependencies to be the same version in
all phases which infer the dependency, matching the largest one found,
so the above becomes:

    runtime.requires : Foo >= 6.0
    test.requires    : Foo >= 6.0

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.3.2-5.mga10
+ Revision: 2203707
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.3.2-4.mga9
+ Revision: 1809061
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.2-3.mga8
+ Revision: 1504146
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.3.2-2.mga7
+ Revision: 1283251
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.3.2-1.mga7
+ Revision: 1125975
- update to 0.003002

* Sun Jun 19 2016 pterjan <pterjan> 0.3.1-3.mga6
+ Revision: 1026556
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.3.1-2.mga6
+ Revision: 966492
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.3.1-1.mga6
+ Revision: 845817
- update to 0.003001

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-3.mga5
+ Revision: 748712
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.2.1-1.mga5
+ Revision: 664635
- update to 0.002001

* Wed Jun 04 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 633082
- update to 0.002000

* Tue Oct 22 2013 umeabot <umeabot> 0.1.1-2.mga4
+ Revision: 545543
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 sander85 <sander85> 0.1.1-1.mga4
+ Revision: 501371
- imported package perl-Dist-Zilla-Plugin-Prereqs-SyncVersions

